BUG #16721: ERROR: could not load library "/usr/pgsql-11/lib/rtpostgis-2.5.so": /usr/gdal32/lib/libgdal.so.28:

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

BUG #16721: ERROR: could not load library "/usr/pgsql-11/lib/rtpostgis-2.5.so": /usr/gdal32/lib/libgdal.so.28:

apt.postgresql.org Repository Update
The following bug has been logged on the website:

Bug reference:      16721
Logged by:          Cesar Jorge Martínez
Email address:      [hidden email]
PostgreSQL version: 11.10
Operating system:   CentOS/RedHat 7.9
Description:        

Hi,

We failed when upgrade 11.9 to 11.10 with postgis:

db=# SELECT version();
                                                 version                    
                             
----------------------------------------------------------------------------------------------------------
 PostgreSQL 11.10 on x86_64-pc-linux-gnu, compiled by gcc (GCC) 4.8.5
20150623 (Red Hat 4.8.5-39), 64-bit
(1 fila)

db=# SELECT postgis_full_version();
ERROR:  could not load library "/usr/pgsql-11/lib/rtpostgis-2.5.so":
/usr/gdal32/lib/libgdal.so.28: undefined symbol: GTIFGetGCSInfoEx
CONTEXTO:  SQL statement "SELECT public.postgis_gdal_version()"
PL/pgSQL function postgis_full_version() line 34 at SQL statement

rpm -qa|grep gdal
gdal-1.11.4-12.rhel7.x86_64
gdal31-libs-3.1.2-1.rhel7.x86_64
gdal30-libs-3.0.4-4.rhel7.x86_64
gdal32-libs-3.2.0-1.rhel7.x86_64
gdal-python-1.11.4-12.rhel7.x86_64
gdal-libs-1.11.4-12.rhel7.x86_64

rpm -qa|grep postgis
postgis25_11-client-2.5.5-2.rhel7.x86_64
postgis25_11-2.5.5-2.rhel7.x86_64
postgis25_11-utils-2.5.5-2.rhel7.x86_64
postgis25_11-gui-2.5.5-2.rhel7.x86_64

How to workaround or fix it?

Regards,
Cesar Jorge

Reply | Threaded
Open this post in threaded view
|

Re: BUG #16721: ERROR: could not load library "/usr/pgsql-11/lib/rtpostgis-2.5.so": /usr/gdal32/lib/libgdal.so.28:

Devrim GÜNDÜZ

Hi,

On Mon, 2020-11-16 at 16:51 +0000, PG Bug reporting form wrote:
> db=# SELECT postgis_full_version();
> ERROR:  could not load library "/usr/pgsql-11/lib/rtpostgis-2.5.so":
> /usr/gdal32/lib/libgdal.so.28: undefined symbol: GTIFGetGCSInfoEx
> CONTEXTO:  SQL statement "SELECT public.postgis_gdal_version()"
> PL/pgSQL function postgis_full_version() line 34 at SQL statement

Can you please send the output of:

rpm -qa | grep libgeotiff

Thanks!

Regards,
--
Devrim Gündüz
Open Source Solution Architect, Red Hat Certified Engineer
Twitter: @DevrimGunduz , @DevrimGunduzTR

signature.asc (849 bytes) Download Attachment
J M
Reply | Threaded
Open this post in threaded view
|

Re: BUG #16721: ERROR: could not load library "/usr/pgsql-11/lib/rtpostgis-2.5.so": /usr/gdal32/lib/libgdal.so.28:

J M
Hi,

The output is:
rpm -qa | grep libgeotiff
libgeotiff15-1.5.1-7.rhel7.x86_64
libgeotiff-1.4.0-1.rhel7.1.x86_64

I see also the following:
repoquery -q --installed --whatrequires libgeotiff15
gdal30-libs-0:3.0.4-4.rhel7.x86_64
gdal31-libs-0:3.1.2-1.rhel7.x86_64
gdal32-libs-0:3.2.0-1.rhel7.x86_64
libgeotiff15-0:1.5.1-7.rhel7.x86_64

repoquery -q --installed --whatrequires gdal32-libs
gdal32-libs-0:3.2.0-1.rhel7.x86_64
postgis25_11-0:2.5.5-2.rhel7.x86_64
postgis25_11-client-0:2.5.5-2.rhel7.x86_64

Maybe a error in  2.5.5-2?
The previous version is  postgis25_11-0:2.5.5-1

Regards,
Cesar Jorge



Regards,
Cesar Jorge



Libre de virus. www.avast.com

El mar., 17 nov. 2020 a las 17:13, Devrim Gündüz (<[hidden email]>) escribió:

Hi,

On Mon, 2020-11-16 at 16:51 +0000, PG Bug reporting form wrote:
> db=# SELECT postgis_full_version();
> ERROR:  could not load library "/usr/pgsql-11/lib/rtpostgis-2.5.so":
> /usr/gdal32/lib/libgdal.so.28: undefined symbol: GTIFGetGCSInfoEx
> CONTEXTO:  SQL statement "SELECT public.postgis_gdal_version()"
> PL/pgSQL function postgis_full_version() line 34 at SQL statement

Can you please send the output of:

rpm -qa | grep libgeotiff

Thanks!

Regards,
--
Devrim Gündüz
Open Source Solution Architect, Red Hat Certified Engineer
Twitter: @DevrimGunduz , @DevrimGunduzTR